usb_gadget_register_driver
Prev | Core Objects and Methods | Next

## Name

usb_gadget_register_driver — register a gadget driver

## Synopsis

`int usb_gadget_register_driver (` | struct usb_gadget_driver * | driver`)`;

## Arguments

`driver`

  the driver being registered

## Description

Call this in your gadget driver's module initialization function, to tell the underlying usb controller driver about your driver. The driver's `bind` function will be called to bind it to a gadget before this registration call returns. It's expected that the `bind` functions will be in init sections. This function must be called in a context that can sleep.

Prev | Up | Next
struct usb_gadget_driver | Home | usb_gadget_unregister_driver